<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE stylesheet [<!ENTITY eacute "&#xE9;">] >
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:template match="/reports">
        <html xmlns="http://www.w3.org/1999/xhtml">
            <head>
                <title>Weather reports - Bulletins meteo
                <xsl:value-of select="@year"/> - <xsl:value-of select="@month"/></title>
            </head>
            <body>
                <h1>
                    Weather reports - <i>Bulletins m&eacute;t&eacute;orologiques</i><xsl:text> </xsl:text>
                    <xsl:value-of select="@year"/> - <xsl:value-of select="@month"/>
                </h1>
                <xsl:for-each select="report">
                        <h2>
                            <xsl:value-of select="@code"/> - 
                            <xsl:value-of select="@date"/> - 
                            <xsl:value-of select="@time"/> - 
                            [<xsl:value-of select="@end"/>]
                        </h2>
                        <table border="0">
                            <xsl:for-each select="a">
                                <tr valign="top" >
                                    <td valign="top" width="50%">
                                        <xsl:for-each select="s[@lang='en']">
                                            <xsl:apply-templates/><xsl:text> </xsl:text>
                                        </xsl:for-each>
                                    </td>
                                    <td valign="top" width="50%">
                                        <i>
                                            <xsl:for-each select="s[@lang='fr']">
                                                <xsl:apply-templates/><xsl:text> </xsl:text>
                                            </xsl:for-each>
                                        </i>
                                    </td>
                                </tr>
                            </xsl:for-each>
                        </table>
                </xsl:for-each>
            </body>
        </html>
    </xsl:template>

</xsl:stylesheet>
